Update a pack
Server:
https://{kibana_url}
- PUT /api/osquery/packs/{id}
- PUT /s/{space_id}/api/osquery/packs/{id}
Refer to Spaces for more information.
Update a query pack using the pack ID.
info You cannot update a prebuilt pack.
Path Parameters
-
idstringrequired
Request
-
descriptionstring -
The pack description.
-
enabledboolean -
Enables the pack.
-
namestring -
The pack name.
-
policy_idsobject -
A list of agents policy IDs.
-
queriesobject -
An object of queries.
-
shardsobject -
An object with shard configuration for policies included in the pack. For each policy, set the shard configuration to a percentage (1–100) of target hosts.
Response
OK
Response Type: object